# MPV Advanced Input Configuration

MPV key bindings for Plex and Plex HTPC can be specially configured via an `input.conf` file in the same user directory this documentation file is copied into.
Directives added to this file will be read by the MPV library at startup.
Bindings added here will only apply when video is being played back in full-window mode. Note that they will take priority over any normal app key bindings.
For information on what can be added to this file, please see [the manual](https://mpv.io/manual/master/#input-conf).

# Example configuration

The example input.conf file below will enable the built-in mpv "stats" and "console" scripts.
Note that the "i" binding from mpv is changed to "Alt+i" to avoid conflicting with Plex's own show-info binding.
Enabling the console will result in a number of temporary bindings being added programmatically, including one that catches all text entry.

```
Alt+i script-binding stats/display-stats    # display information and statistics
I script-binding stats/display-stats-toggle # toggle displaying more information and statistics
` script-binding console/enable             # open the console
```
